export function createImageCacheNode({ source, compressOptions, bizType, isOrigin, }: {
    source: any;
    compressOptions?: {} | undefined;
    bizType?: CropImgBizType | undefined;
    isOrigin?: boolean | undefined;
}): Promise<false | {
    name: string;
    originPath: any;
    compressPath: any;
    size: any;
    ext: any;
    contentHash: string;
    fileSize: any;
    isOrigin?: undefined;
} | {
    name: string;
    compressPath: any;
    size: any;
    ext: any;
    contentHash: string;
    fileSize: any;
    isOrigin: false;
    originPath?: undefined;
} | undefined>;
export function createImageCacheWeb({ source, compressOptions, bizType, isOrigin, }: {
    source: any;
    compressOptions?: {} | undefined;
    bizType?: CropImgBizType | undefined;
    isOrigin?: boolean | undefined;
}): Promise<false | {
    name: string;
    originPath: any;
    size: any;
    ext: string;
    contentHash: string;
    fileSize: any;
    compressPath?: undefined;
    isOrigin?: undefined;
    compressFile?: undefined;
} | {
    name: string;
    compressPath: any;
    size: any;
    ext: string;
    contentHash: string;
    fileSize: any;
    isOrigin: false;
    compressFile: File;
    originPath?: undefined;
} | undefined>;
export function createFileCacheNode(source: any, prefix?: string): Promise<false | {
    localPath: any;
    text: string;
    name: any;
    ext: any;
    size: any;
}>;
export function createFileCacheWeb(file: any, prefix?: string): Promise<false | {
    localPath: string | undefined;
    text: string;
    name: string;
    ext: string;
    size: any;
}>;
export function writeCompressCache(source: any, path: any, size: any, bizType?: CropImgBizType): Promise<any>;
export function writeOriginCache(source: any, path: any, type: any): Promise<any>;
export function writeAvatarCache(source: any, fileType: any): Promise<any>;
export function checkCompressCache({ path, width, height, type, bizType, }: {
    path: any;
    width: any;
    height: any;
    type: any;
    bizType?: CropImgBizType | undefined;
}): Promise<any>;
export function checkOriginCache(path: any, type: any): any;
export function saveFile(sourcePath: any, savePath: any): Promise<false | undefined>;
export function createImageCompress({ source, path, width, height, type, bizType, }: {
    source: any;
    path: any;
    width: any;
    height: any;
    type: any;
    bizType?: CropImgBizType | undefined;
}): Promise<any>;
export function splitFstName(listMapOb: any, item: any, name?: string): void;
export function checkRootDir(): void;
export function encryptSha1(binary: any): any;
export function createSha1Hash(source: any): Promise<any>;
export function createBucketHash(source: any, prefix: any): Promise<string>;
export function formatSource(source: any): Promise<any>;
export function blobToBase64(blob: any): Promise<any>;
export function createDir(fullPath: any): Promise<any>;
export function readFileAsUrl(file: any): Promise<any>;
export function buildCompressImg(options: any): Promise<any>;
import { CropImgBizType } from "@newSdk/base/consts";
